#include <iostream>
#include "Functions.h"
#include <vector>
#include <cstdlib>
#include <ctime>

int main() {
	std::srand(std::time(nullptr));
	createData_stream();
	createData_generate();
	std::vector<int> num1, num2(200);
	loadData_stream(num1,"DataCreated.txt");
	loadData_copy(num2, "DataCreated.txt");

	std::vector<int> res1 = modify_1(num1);
	std::cout << std::endl << "Modify_1:" << std::endl;
	for (const int& e : res1) std::cout << e << "  ";

	std::vector<int> res2(200);
	modify_iterator(num1.begin(),num1.end(),res2.begin());
	std::cout << std::endl << "Modify_iterator:" << std::endl;
	for (const int& e : res2) std::cout << e << "  ";
	
	std::cout << std::endl << "Modify_for_each:" << std::endl;
	modify_for_each(num1);
	for (const int& e : num1) std::cout << e << "  ";

	std::cout << std::endl << "Modify_transform:" << std::endl;
	modify_transform("DataCreated.txt", "DataCreated.txt");
	for (const int& e : num1) std::cout << e << "  ";

	outputResult_stream("DataCreated.txt", num1);
	outputResult_copy("DataCreated.txt", res2);
	return 0;
}